summaryrefslogtreecommitdiffstats
path: root/third_party/rust/pin-project/ci/install-rust.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/pin-project/ci/install-rust.sh')
-rw-r--r--third_party/rust/pin-project/ci/install-rust.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/third_party/rust/pin-project/ci/install-rust.sh b/third_party/rust/pin-project/ci/install-rust.sh
new file mode 100644
index 0000000000..3e0b27ae84
--- /dev/null
+++ b/third_party/rust/pin-project/ci/install-rust.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -euo pipefail
+
+toolchain="${1:-nightly}"
+
+if rustup -V 2>/dev/null; then
+ rustup set profile minimal
+ rustup update "${toolchain}" --no-self-update
+ rustup default "${toolchain}"
+else
+ curl -sSf https://sh.rustup.rs | sh -s -- -y --profile minimal --default-toolchain "${toolchain}"
+ export PATH=${PATH}:${HOME}/.cargo/bin
+ echo "##[add-path]${HOME}/.cargo/bin"
+fi
+
+echo "Query rust and cargo versions:"
+rustup -V
+rustc -V
+cargo -V